## org.apache.lucene.queryParser.standard.config
Interface DefaultOperatorAttribute

All Superinterfaces:
  org.apache.lucene.util.Attribute

All Known Implementing Classes:
  DefaultOperatorAttributeImpl

    public interface DefaultOperatorAttribute

extends org.apache.lucene.util.Attribute

This attribute is used by `GroupQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor which is the default boolean operator when no operator is defined between terms.

Nested Class Summary
`static class` `DefaultOperatorAttribute.Operator`

Method Summary
`DefaultOperatorAttribute.Operator` `getOperator()`
`void` `setOperator(DefaultOperatorAttribute.Operator operator)`

Method Detail

### setOperator

    void setOperator(DefaultOperatorAttribute.Operator operator)

### getOperator

    DefaultOperatorAttribute.Operator getOperator()

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.